%define major 0
%define apiver 1
%define libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

Summary:	A pixel manipulation library
Name:		pixman
Version:	0.24.4
Release:	%mkrel 1
License:	MIT
Group:		System/Libraries
URL:		http://gitweb.freedesktop.org/?p=pixman.git
Source:		http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

%description
Pixel manipulation Library.

%package -n %{libname}
Summary:	Pixel manipulation library
Group:		System/Libraries
Obsoletes:	%{_lib}pixman-1_0 < 0.22.0

%description -n %{libname}
A library for manipulating pixel regions -- a set of Y-X banded
rectangles, image compositing using the Porter/Duff model
and implicit mask generation for geometric primitives including
trapezoids, triangles, and rectangles.

%package -n %{develname}
Summary:	Libraries and include files for developing with libpixman
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{apiver}-devel = %{version}-%{release}
Obsoletes:	%{_lib}pixman-1-devel < 0.22.0

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with pixman.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(0644,root,root,0755)
%doc TODO
%{_libdir}/*.so
%{_includedir}/pixman-1/*.h
%{_libdir}/pkgconfig/*.pc


%changelog

* Thu Feb 09 2012 tv <tv> 0.24.4-1.mga2
+ Revision: 206670
- new release

* Sun Jan 22 2012 tv <tv> 0.24.2-1.mga2
+ Revision: 199617
- new release

* Mon Nov 07 2011 tv <tv> 0.24.0-1.mga2
+ Revision: 164793
- new release

* Sun Oct 30 2011 tv <tv> 0.23.8-1.mga2
+ Revision: 160170
- new release

* Tue Oct 18 2011 tv <tv> 0.23.6-1.mga2
+ Revision: 156345
- new release

* Wed Sep 14 2011 fwang <fwang> 0.23.4-2.mga2
+ Revision: 143394
- drop .la files

* Wed Sep 14 2011 tv <tv> 0.23.4-1.mga2
+ Revision: 143328
- new release

* Thu Jul 14 2011 kharec <kharec> 0.23.2-1.mga2
+ Revision: 124028
- new version 0.23.2

* Thu Jun 30 2011 fwang <fwang> 0.22.0-1.mga2
+ Revision: 116862
- new version 0.22.0

* Tue Feb 01 2011 tv <tv> 0.20.2-1.mga1
+ Revision: 45568
- new release

* Tue Jan 11 2011 blino <blino> 0.20.0-3.mga1
+ Revision: 6090
- remove old ldconfig scriptlets
- imported package pixman

